import React, { ReactElement } from "react";
import { Link } from "gatsby";

import { Content } from "@onegeo/gatsby-theme-onegeo";
import { News } from "@onegeo/gatsby-theme-onegeo";

function news(): ReactElement {

  return (
    <Content>
      <div className="prose">
        <Link to="/doc/core">Retour</Link>

        <h1>News</h1>
        <h2>Props</h2>
        <div className="mockup-code">
          <pre>
            <code>
              {`
interface INew {
  title?: string;
  content?: string;
  image?: string | IGatsbyImageData;
  to?: string;
}

interface NewsProps {
  title?: string;
  news?: INew[];
  action?: {
      title: string;
      to: string;
  };
  anime?: boolean;
`}
            </code>
          </pre>
        </div>

        <h2>Example</h2>
      </div>
      <News 
        title="Actualités"
        news={[{
          title: "Action",
          content: "Action description for the Button"
        },{
          title: "Action",
          content: "Action description for the Button"
        },{
          title: "Action",
          content: "Action description for the Button"
        }]}
        action={{
          title: "Plus d'actualités",
          to: "#"
        }}
      />
    </Content>
  );
}

export default news;